Mantis Bugtracker          
testlink.org

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0004864TestLinkTest Executepublic2012-01-11 08:242012-05-30 21:03
Reporterkeeyou 
Assigned Tofman 
PrioritynormalSeverityminorReproducibilityalways
StatusassignedResolutionopen 
PlatformOSOS Version
Product Version1.9.3 (2011 Q3 - bug fixing) 
Fixed in Version 
Summary0004864: Test Execution - WRONG Automatic RANDOM population of custom fields of type "date" on filter form
DescriptionCustom fields of type "date" are being automatically populated with a (random?) date on a filter form, and they are included into filtering criteria. This causes that filtering returns incorrect scope of testaces.
Steps To ReproducePreconditions:
1. custom field of type "date" assigned to testproject

Steps to reproduce:
1. enter test execution
2. expand filters
3. enter filtering criteria: use any field, except custom field of type "date" and apply
4. after clicking "apply", there are no testcases that meet given criteria. it is because all the custom fields of type "date" have been automatically populated with a (random?) date, which have been included into filtering criteria. This is depicted on the screenshot in the attached file.


TagsNo tags attached.
Database (MySQL,Postgres,etc)MySQL
BrowserFF 8.0, IE 9.0, IE 8.0
PHP Version5.2.9
TestCaseID
QA Team - Task Workflow Status
Attached Filespng file icon screenshot_filters.png [^] (22,023 bytes) 2012-01-11 08:24

- Relationships

-  Notes
(0016220)
keeyou (reporter)
2012-01-12 09:13

I found the same problem reported in issue 3883, so this is duplicate.

But the problem is, that issue 3883 is closed an marked fixed in version 1.9.
And I'm still having this problem in 1.9.3, so something's wrong...

- Issue History
Date Modified Username Field Change
2012-01-11 08:24 keeyou New Issue
2012-01-11 08:24 keeyou File Added: screenshot_filters.png
2012-01-11 09:36 fman Summary Automatic population of custom fields of type "date" on filter form => Test Execution - WRONG Automatic RANDOM population of custom fields of type "date" on filter form
2012-01-12 09:13 keeyou Note Added: 0016220
2012-01-12 10:02 keeyou Note Added: 0016221
2012-01-31 09:06 keeyou Note Deleted: 0016221
2012-04-08 09:32 fman Assigned To => fman
2012-04-08 09:32 fman Status new => assigned



Copyright © 2000 - 2019 MantisBT Team
Powered by Mantis Bugtracker